Package org.apache.torque.generator.configuration

# Class OutletTypes

java.lang.Object
org.apache.torque.generator.configuration.OutletTypes

public class OutletTypes extends Object
Manages the types of known Outlets. This include information about how to read the configuration of each outlet type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutletTypes()`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,TypedOutletSaxHandlerFactory>`
  `getTypedOutletHandlerFactories()`
  Returns an unmodifiable map containing all typed outlet handler factories, keyed by their type.
  `List<UntypedOutletSaxHandlerFactory>`
  `getUntypedOutletHandlerFactories()`
  Returns an unmodifiable list containing all untyped outlet handler factories.
  `void`
  `registerTypedOutletHandlerFactory(TypedOutletSaxHandlerFactory factory)`
  Registers a handler for a new type of outlets.
  `void`
  `registerUntypedOutletHandlerFactory(UntypedOutletSaxHandlerFactory factory)`
  Registers a untyped handler.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OutletTypes

    public OutletTypes()
    Constructor. Creates a new instance containing the mappings to the default outlet types.

- ## Method Details

  - ### registerTypedOutletHandlerFactory

    public void registerTypedOutletHandlerFactory(TypedOutletSaxHandlerFactory factory) throws ConfigurationException
    Registers a handler for a new type of outlets.
    Parameters:
      `factory` - the factory which handles the outlets of the given type.
    Throws:
      `NullPointerException` - if factory is null.
      `ConfigurationException` - if a factory already exists for the type of the outlet.

  - ### registerUntypedOutletHandlerFactory

    public void registerUntypedOutletHandlerFactory(UntypedOutletSaxHandlerFactory factory) throws ConfigurationException
    Registers a untyped handler.
    Parameters:
      `factory` - the factory which can handle outlets of different types
    Throws:
      `NullPointerException` - if factory is null.
      `ConfigurationException` - if a factory already exists for the type of the outlet.

  - ### getTypedOutletHandlerFactories

    public Map<String,TypedOutletSaxHandlerFactory> getTypedOutletHandlerFactories()
    Returns an unmodifiable map containing all typed outlet handler factories, keyed by their type.
    Returns:
      all typed outlet handler factories, not null.

  - ### getUntypedOutletHandlerFactories

    public List<UntypedOutletSaxHandlerFactory> getUntypedOutletHandlerFactories()
    Returns an unmodifiable list containing all untyped outlet handler factories.
    Returns:
      all untyped outlet handler factories, not null.